#ifndef __NETWORKPHYSICS
#define __NETWORKPHYSICS

#include "vectors.h"

typedef struct{
	char x,y,z;
} tVector3Char;

typedef struct{
	short x,y,z;
} tVector3Short;

typedef struct{
	int frame;
	tVector3 pos;
	short id;
	char prioritized;
	tVector3Short velo;
	tVector3Short accel;
	tVector3Short dirZ,dirY;
	tVector3Short rVeloZ,rVeloY;
} tPhysicsMessage;

typedef struct{
	float timestamp;
	char message[256];
} tGameChatMessage;

extern int gNumGameChatMessages;
extern tGameChatMessage gGameChatMessagesRecv[];
extern int gReplayIndex;
extern int gOutboxPos;

void InsertGameChatMessage(char *message);
void NetworkSendPhysics();
void NetworkReceivePhysics();
void LogReplayFrame();
void LogReplayGhostFrame();
void GameChatMessagesScroll();

#endif